# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.conf import settings
from models import SiteConfig, CustomPage, DjangoPage
from django.contrib.sites.models import Site
import re
from flatcms.views import get_page_config_context
from utils import get_django_page

def site_cfg(request):
    #load the site configuration
    try:
        site = Site.objects.get_current()
        site_cfg = SiteConfig.objects.get(site=site)
        ctx =  {'site_cfg': site_cfg}
        page = get_django_page(site, request.path)
        if page:
            ctx.update({'page': page})
            ctx.update(get_page_config_context(page.config.name, request))
        return ctx
    except SiteConfig.DoesNotExist:
        return {}
        
