# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.utils.feedgenerator import Rss201rev2Feed
from django.utils.translation import ugettext_lazy as _
from django.core.urlresolvers import reverse
from django.contrib.sites.models import Site
from models import CmsPage, SiteConfig
from datetime import datetime
from django.contrib.syndication.views import Feed

class CmsPageFeed(Feed):
    feed_type = Rss201rev2Feed
    
    def title(self):
        """Title of the RSS feed"""
        return SiteConfig.objects.get(site=Site.objects.get_current()).name
    
    def link(self):
        return "/"

    def _items(self):
        """The articles"""
        return CmsPage.objects.filter(
            published=True,
            show_in_rss=True,
            registration_required=False, #don't show private pages
            lastmod__lte=datetime.now() #don't show future pages
        ).order_by('-lastmod')
    
    def items(self):
        """The articles"""
        return self._items()[:10]
    
    def item_pubdate(self, item):
        """The publication date of an item"""
        return item.lastmod
    
    def item_title(self, item):
        return item.title
    
    def item_description(self, item):
        return item.content
