# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from flatcms.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Plugin'
        db.create_table('flatcms_plugin', (
            ('id', orm['flatcms.Plugin:id']),
            ('name', orm['flatcms.Plugin:name']),
            ('div_id', orm['flatcms.Plugin:div_id']),
            ('published', orm['flatcms.Plugin:published']),
            ('ordering', orm['flatcms.Plugin:ordering']),
            ('content', orm['flatcms.Plugin:content']),
            ('registration_required', orm['flatcms.Plugin:registration_required']),
        ))
        db.send_create_signal('flatcms', ['Plugin'])
        
        # Adding model 'MenuItem'
        db.create_table('flatcms_menuitem', (
            ('id', orm['flatcms.MenuItem:id']),
            ('parent_menu', orm['flatcms.MenuItem:parent_menu']),
            ('label', orm['flatcms.MenuItem:label']),
            ('url', orm['flatcms.MenuItem:url']),
            ('page', orm['flatcms.MenuItem:page']),
            ('child_menu', orm['flatcms.MenuItem:child_menu']),
            ('target', orm['flatcms.MenuItem:target']),
            ('ordering', orm['flatcms.MenuItem:ordering']),
            ('published', orm['flatcms.MenuItem:published']),
            ('registration_required', orm['flatcms.MenuItem:registration_required']),
        ))
        db.send_create_signal('flatcms', ['MenuItem'])
        
        # Adding model 'Menu'
        db.create_table('flatcms_menu', (
            ('id', orm['flatcms.Menu:id']),
            ('label', orm['flatcms.Menu:label']),
            ('ordering', orm['flatcms.Menu:ordering']),
            ('published', orm['flatcms.Menu:published']),
            ('registration_required', orm['flatcms.Menu:registration_required']),
        ))
        db.send_create_signal('flatcms', ['Menu'])
        
        # Adding model 'Alias'
        db.create_table('flatcms_alias', (
            ('id', orm['flatcms.Alias:id']),
            ('url', orm['flatcms.Alias:url']),
            ('page', orm['flatcms.Alias:page']),
        ))
        db.send_create_signal('flatcms', ['Alias'])
        
        # Adding model 'PageConfig'
        db.create_table('flatcms_pageconfig', (
            ('id', orm['flatcms.PageConfig:id']),
            ('name', orm['flatcms.PageConfig:name']),
            ('template_name', orm['flatcms.PageConfig:template_name']),
        ))
        db.send_create_signal('flatcms', ['PageConfig'])
        
        # Adding model 'CssProperty'
        db.create_table('flatcms_cssproperty', (
            ('id', orm['flatcms.CssProperty:id']),
            ('selector', orm['flatcms.CssProperty:selector']),
            ('property', orm['flatcms.CssProperty:property']),
            ('value', orm['flatcms.CssProperty:value']),
        ))
        db.send_create_signal('flatcms', ['CssProperty'])
        
        # Adding model 'Image'
        db.create_table('flatcms_image', (
            ('id', orm['flatcms.Image:id']),
            ('site', orm['flatcms.Image:site']),
            ('name', orm['flatcms.Image:name']),
            ('image', orm['flatcms.Image:image']),
        ))
        db.send_create_signal('flatcms', ['Image'])
        
        # Adding model 'SiteConfig'
        db.create_table('flatcms_siteconfig', (
            ('id', orm['flatcms.SiteConfig:id']),
            ('site', orm['flatcms.SiteConfig:site']),
            ('name', orm['flatcms.SiteConfig:name']),
            ('logo', orm['flatcms.SiteConfig:logo']),
            ('favicon', orm['flatcms.SiteConfig:favicon']),
            ('default_template', orm['flatcms.SiteConfig:default_template']),
        ))
        db.send_create_signal('flatcms', ['SiteConfig'])
        
        # Adding model 'CssSelector'
        db.create_table('flatcms_cssselector', (
            ('id', orm['flatcms.CssSelector:id']),
            ('site', orm['flatcms.CssSelector:site']),
            ('selector', orm['flatcms.CssSelector:selector']),
            ('enabled', orm['flatcms.CssSelector:enabled']),
            ('ordering', orm['flatcms.CssSelector:ordering']),
        ))
        db.send_create_signal('flatcms', ['CssSelector'])
        
        # Adding model 'CmsPage'
        db.create_table('flatcms_cmspage', (
            ('id', orm['flatcms.CmsPage:id']),
            ('url', orm['flatcms.CmsPage:url']),
            ('title', orm['flatcms.CmsPage:title']),
            ('description', orm['flatcms.CmsPage:description']),
            ('registration_required', orm['flatcms.CmsPage:registration_required']),
            ('site', orm['flatcms.CmsPage:site']),
            ('content', orm['flatcms.CmsPage:content']),
            ('published', orm['flatcms.CmsPage:published']),
            ('config', orm['flatcms.CmsPage:config']),
            ('sitemap', orm['flatcms.CmsPage:sitemap']),
            ('changefreq', orm['flatcms.CmsPage:changefreq']),
            ('lastmod', orm['flatcms.CmsPage:lastmod']),
            ('priority', orm['flatcms.CmsPage:priority']),
        ))
        db.send_create_signal('flatcms', ['CmsPage'])
        
        # Adding ManyToManyField 'PageConfig.plugins'
        db.create_table('flatcms_pageconfig_plugins', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('pageconfig', models.ForeignKey(orm.PageConfig, null=False)),
            ('plugin', models.ForeignKey(orm.Plugin, null=False))
        ))
        
        # Adding ManyToManyField 'PageConfig.menu'
        db.create_table('flatcms_pageconfig_menu', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('pageconfig', models.ForeignKey(orm.PageConfig, null=False)),
            ('menu', models.ForeignKey(orm.Menu, null=False))
        ))
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Plugin'
        db.delete_table('flatcms_plugin')
        
        # Deleting model 'MenuItem'
        db.delete_table('flatcms_menuitem')
        
        # Deleting model 'Menu'
        db.delete_table('flatcms_menu')
        
        # Deleting model 'Alias'
        db.delete_table('flatcms_alias')
        
        # Deleting model 'PageConfig'
        db.delete_table('flatcms_pageconfig')
        
        # Deleting model 'CssProperty'
        db.delete_table('flatcms_cssproperty')
        
        # Deleting model 'Image'
        db.delete_table('flatcms_image')
        
        # Deleting model 'SiteConfig'
        db.delete_table('flatcms_siteconfig')
        
        # Deleting model 'CssSelector'
        db.delete_table('flatcms_cssselector')
        
        # Deleting model 'CmsPage'
        db.delete_table('flatcms_cmspage')
        
        # Dropping ManyToManyField 'PageConfig.plugins'
        db.delete_table('flatcms_pageconfig_plugins')
        
        # Dropping ManyToManyField 'PageConfig.menu'
        db.delete_table('flatcms_pageconfig_menu')
        
    
    
    models = {
        'flatcms.alias': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'page': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.CmsPage']"}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'flatcms.cmspage': {
            'changefreq': ('django.db.models.fields.CharField', [], {'default': "'never'", 'max_length': '10'}),
            'config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.PageConfig']"}),
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lastmod': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2010, 2, 9, 12, 9, 53, 788000)', 'auto_now': 'True', 'blank': 'True'}),
            'priority': ('django.db.models.fields.DecimalField', [], {'default': '0.5', 'max_digits': '2', 'decimal_places': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']"}),
            'sitemap': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'flatcms.cssproperty': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'property': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'selector': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.CssSelector']"}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'flatcms.cssselector': {
            'enabled': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'selector': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']"})
        },
        'flatcms.image': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']"})
        },
        'flatcms.menu': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'flatcms.menuitem': {
            'child_menu': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'related_name': "'child'", 'null': 'True', 'blank': 'True', 'to': "orm['flatcms.Menu']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'page': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.CmsPage']", 'null': 'True', 'blank': 'True'}),
            'parent_menu': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'parent'", 'to': "orm['flatcms.Menu']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'target': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'})
        },
        'flatcms.pageconfig': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'menu': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Menu']", 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'plugins': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Plugin']", 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '70', 'blank': 'True'})
        },
        'flatcms.plugin': {
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'div_id': ('django.db.models.fields.CharField', [], {'default': "'rightcol'", 'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'flatcms.siteconfig': {
            'default_template': ('django.db.models.fields.CharField', [], {'default': "'flatcms/default_.html'", 'max_length': '70'}),
            'favicon': ('django.db.models.fields.files.ImageField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'logo': ('django.db.models.fields.files.ImageField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']"})
        },
        'sites.site': {
            'Meta': {'db_table': "'django_site'"},
            'domain': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        }
    }
    
    complete_apps = ['flatcms']
