# -*- coding: utf-8 -*-

from south.db import db
from django.db import models
from flatcms.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Deleting field 'Image.site'
        db.delete_column('flatcms_image', 'site_id')
        
        # Changing field 'MenuItem.url'
        # (to signature: MenuUrlField(_('URL'), max_length=100, blank=True))
        db.alter_column('flatcms_menuitem', 'url', orm['flatcms.menuitem:url'])
        
        # Renaming column for field 'site'.
        db.rename_column('flatcms_cmspage', 'site_id', 'site')
        
        # Renaming column for field 'site'.
        db.rename_column('flatcms_cssselector', 'site_id', 'site')

        # Adding ManyToManyField 'CmsPage.site'
        db.create_table('flatcms_cmspage_site', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('cmspage', models.ForeignKey(orm['flatcms.cmspage'], null=False)),
            ('site', models.ForeignKey(orm['sites.site'], null=False))
        ))
        
        # Adding ManyToManyField 'CssSelector.site'
        db.create_table('flatcms_cssselector_site', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('cssselector', models.ForeignKey(orm['flatcms.cssselector'], null=False)),
            ('site', models.ForeignKey(orm['sites.site'], null=False))
        ))
        
    def backwards(self, orm):
        
        # Adding field 'Image.site'
        db.add_column('flatcms_image', 'site', orm['flatcms.image:site'])
        
        # Changing field 'MenuItem.url'
        # (to signature: PageUrlField(_('URL'), max_length=100, blank=True))
        db.alter_column('flatcms_menuitem', 'url', orm['flatcms.menuitem:url'])
        
        db.drop_table('flatcms_cmspage_site')
        
        db.drop_table('flatcms_cssselector_site')

        db.rename_column('flatcms_cmspage', 'site', 'site_id')
        
        db.rename_column('flatcms_cssselector', 'site', 'site_id')
        
    
    
    models = {
        'flatcms.alias': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'page': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.CmsPage']"}),
            'url': ('PageUrlField', ["_('URL')"], {'unique': 'True', 'max_length': '100', 'db_index': 'True'})
        },
        'flatcms.cmspage': {
            'changefreq': ('django.db.models.fields.CharField', [], {'default': "'never'", 'max_length': '10'}),
            'config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.PageConfig']"}),
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lastmod': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2010, 3, 16, 16, 12, 12, 728000)', 'auto_now': 'True', 'blank': 'True'}),
            'priority': ('django.db.models.fields.DecimalField', [], {'default': "'0.5'", 'max_digits': '2', 'decimal_places': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'site': ('django.db.models.fields.related.ManyToManyField', [], {'default': '1', 'to': "orm['sites.Site']"}),
            'sitemap': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'url': ('PageUrlField', ["_('URL')"], {'unique': 'True', 'max_length': '100', 'db_index': 'True'})
        },
        'flatcms.cssproperty': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'property': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'selector': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.CssSelector']"}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'flatcms.cssselector': {
            'enabled': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'selector': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'site': ('django.db.models.fields.related.ManyToManyField', [], {'default': '1', 'to': "orm['sites.Site']"})
        },
        'flatcms.download': {
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'flatcms.image': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '10'})
        },
        'flatcms.menu': {
            'div_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '32', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'flatcms.menuitem': {
            'child_menu': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'related_name': "'child'", 'null': 'True', 'blank': 'True', 'to': "orm['flatcms.Menu']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'page': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.CmsPage']", 'null': 'True', 'blank': 'True'}),
            'parent_menu': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'parent'", 'to': "orm['flatcms.Menu']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'target': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'url': ('MenuUrlField', ["_('URL')"], {'max_length': '100', 'blank': 'True'})
        },
        'flatcms.metaheader': {
            'content': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'site_config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.SiteConfig']"})
        },
        'flatcms.pageconfig': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'menu': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Menu']", 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'plugins': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Plugin']", 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '70', 'blank': 'True'})
        },
        'flatcms.plugin': {
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'div_id': ('django.db.models.fields.CharField', [], {'default': "'rightcol'", 'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'slideshow': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.Slideshow']", 'null': 'True', 'blank': 'True'})
        },
        'flatcms.siteconfig': {
            'default_template': ('django.db.models.fields.CharField', [], {'default': "'flatcms/default_.html'", 'max_length': '70'}),
            'favicon': ('django.db.models.fields.files.ImageField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'logo': ('django.db.models.fields.files.ImageField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']"})
        },
        'flatcms.slideshow': {
            'effect': ('django.db.models.fields.CharField', [], {'default': "'fade'", 'max_length': "'32'"}),
            'height': ('django.db.models.fields.IntegerField', [], {'default': '200'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'images': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Image']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'random': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'speed': ('django.db.models.fields.IntegerField', [], {'default': '5000'}),
            'timeout': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'width': ('django.db.models.fields.IntegerField', [], {'default': '200'})
        },
        'sites.site': {
            'Meta': {'db_table': "'django_site'"},
            'domain': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        }
    }
    
    complete_apps = ['flatcms']
