# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Deleting model 'Breadcrumb'
        db.delete_table('flatcms_breadcrumb')

        # Deleting model 'BreadcrumbItem'
        db.delete_table('flatcms_breadcrumbitem')

        # Deleting field 'PageConfig.breadcrumb'
        db.delete_column('flatcms_pageconfig', 'breadcrumb_id')

        # Deleting field 'CmsPage.breadcrumb_level'
        db.delete_column('flatcms_cmspage', 'breadcrumb_level')
    
    
    def backwards(self, orm):
        
        # Adding model 'Breadcrumb'
        db.create_table('flatcms_breadcrumb', (
            ('show_all', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('show_num', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=32)),
        ))
        db.send_create_signal('flatcms', ['Breadcrumb'])

        # Adding model 'BreadcrumbItem'
        db.create_table('flatcms_breadcrumbitem', (
            ('level', self.gf('django.db.models.fields.IntegerField')()),
            ('url', self.gf('flatcms.models.MenuUrlField')(max_length=100, blank=True)),
            ('label', self.gf('django.db.models.fields.CharField')(max_length=32)),
            ('breadcrumb', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['flatcms.Breadcrumb'])),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('page', self.gf('django.db.models.fields.related.ForeignKey')(default='', to=orm['flatcms.CmsPage'], null=True, blank=True)),
        ))
        db.send_create_signal('flatcms', ['BreadcrumbItem'])

        # Adding field 'PageConfig.breadcrumb'
        db.add_column('flatcms_pageconfig', 'breadcrumb', self.gf('django.db.models.fields.related.ForeignKey')(default='', to=orm['flatcms.Breadcrumb'], null=True, blank=True), keep_default=False)

        # Adding field 'CmsPage.breadcrumb_level'
        db.add_column('flatcms_cmspage', 'breadcrumb_level', self.gf('django.db.models.fields.IntegerField')(default=0), keep_default=False)
    
    
    models = {
        'flatcms.alias': {
            'Meta': {'unique_together': "(('url', 'site'),)", 'object_name': 'Alias'},
            'config': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.PageConfig']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'page': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.CmsPage']"}),
            'redirect': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']"}),
            'url': ('flatcms.models.PageUrlField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'flatcms.cmspage': {
            'Meta': {'unique_together': "(('url', 'site'),)", 'object_name': 'CmsPage'},
            'app_only': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'changefreq': ('django.db.models.fields.CharField', [], {'default': "'never'", 'max_length': '10'}),
            'config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.PageConfig']"}),
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lastmod': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime(2010, 8, 31, 13, 14, 49, 538000)', 'auto_now': 'True', 'blank': 'True'}),
            'priority': ('django.db.models.fields.DecimalField', [], {'default': "'0.5'", 'max_digits': '2', 'decimal_places': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']"}),
            'sitemap': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'step_level': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'url': ('flatcms.models.PageUrlField', [], {'max_length': '100', 'db_index': 'True'})
        },
        'flatcms.cssproperty': {
            'Meta': {'object_name': 'CssProperty'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'property': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'selector': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.CssSelector']"}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'flatcms.cssselector': {
            'Meta': {'object_name': 'CssSelector'},
            'enabled': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'selector': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'site': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['sites.Site']", 'symmetrical': 'False'})
        },
        'flatcms.download': {
            'Meta': {'object_name': 'Download'},
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'flatcms.image': {
            'Meta': {'object_name': 'Image'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '10'})
        },
        'flatcms.menu': {
            'Meta': {'object_name': 'Menu'},
            'div_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '32', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'flatcms.menuitem': {
            'Meta': {'object_name': 'MenuItem'},
            'child_menu': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'related_name': "'child'", 'null': 'True', 'blank': 'True', 'to': "orm['flatcms.Menu']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'page': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.CmsPage']", 'null': 'True', 'blank': 'True'}),
            'parent_menu': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'parent'", 'to': "orm['flatcms.Menu']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'target': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'url': ('flatcms.models.MenuUrlField', [], {'max_length': '100', 'blank': 'True'})
        },
        'flatcms.metaheader': {
            'Meta': {'object_name': 'MetaHeader'},
            'content': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'site_config': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.SiteConfig']"})
        },
        'flatcms.pageconfig': {
            'Meta': {'object_name': 'PageConfig'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'menu': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Menu']", 'symmetrical': 'False', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'plugins': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Plugin']", 'symmetrical': 'False', 'blank': 'True'}),
            'step_banner': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.StepBanner']", 'null': 'True', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '70', 'blank': 'True'})
        },
        'flatcms.plugin': {
            'Meta': {'object_name': 'Plugin'},
            'content': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'div_id': ('django.db.models.fields.CharField', [], {'default': "'rightcol'", 'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'registration_required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'slideshow': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.Slideshow']", 'null': 'True', 'blank': 'True'})
        },
        'flatcms.siteconfig': {
            'Meta': {'object_name': 'SiteConfig'},
            'analytics_code': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '32', 'blank': 'True'}),
            'analytics_option': ('django.db.models.fields.CharField', [], {'default': "'disabled'", 'max_length': '32'}),
            'default_template': ('django.db.models.fields.CharField', [], {'default': "'flatcms.default'", 'max_length': '70'}),
            'design_year': ('django.db.models.fields.CharField', [], {'default': "'2010'", 'max_length': '10'}),
            'designer': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'designer_website': ('django.db.models.fields.URLField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'favicon': ('django.db.models.fields.files.ImageField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'logo': ('django.db.models.fields.files.ImageField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'blank': 'True'}),
            'show_login_banner': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'site': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['sites.Site']", 'unique': 'True'})
        },
        'flatcms.slideshow': {
            'Meta': {'object_name': 'Slideshow'},
            'effect': ('django.db.models.fields.CharField', [], {'default': "'fade'", 'max_length': "'32'"}),
            'height': ('django.db.models.fields.IntegerField', [], {'default': '200'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'images': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['flatcms.Image']", 'symmetrical': 'False'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'random': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'speed': ('django.db.models.fields.IntegerField', [], {'default': '5000'}),
            'timeout': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'width': ('django.db.models.fields.IntegerField', [], {'default': '200'})
        },
        'flatcms.step': {
            'Meta': {'object_name': 'Step'},
            'banner': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['flatcms.StepBanner']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'level': ('django.db.models.fields.IntegerField', [], {}),
            'page': ('django.db.models.fields.related.ForeignKey', [], {'default': "''", 'to': "orm['flatcms.CmsPage']", 'null': 'True', 'blank': 'True'}),
            'url': ('flatcms.models.MenuUrlField', [], {'max_length': '100', 'blank': 'True'})
        },
        'flatcms.stepbanner': {
            'Meta': {'object_name': 'StepBanner'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'show_all': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'show_num': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'sites.site': {
            'Meta': {'object_name': 'Site', 'db_table': "'django_site'"},
            'domain': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        }
    }
    
    complete_apps = ['flatcms']
