# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.contrib.sitemaps import Sitemap
from models import CmsPage, Alias
from django.contrib.sites.models import Site

class CmsPageSitemap(Sitemap):
    def items(self):
        return CmsPage.objects.filter(published=True, site=Site.objects.get_current()).filter(sitemap=True)
    
    def lastmod(self, obj):
        return obj.lastmod
    
    def priority(self, obj):
        return obj.priority
    
    def changefreq(self, obj):
        return obj.changefreq
    
class AliasSitemap(Sitemap):
    def items(self):
        return Alias.objects.filter(page__published=True, site=Site.objects.get_current()).filter(sitemap=True)
    
    def lastmod(self, obj):
        return obj.page.lastmod
    
    def priority(self, obj):
        return obj.page.priority
    
    def changefreq(self, obj):
        return obj.page.changefreq