# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt

  Some utilities to detect Internet Explorer browser version
"""

from django import template
import re
register = template.Library()

@register.filter
def is_ie(user_agent):
    """return true if Internet Explorer is detected"""
    return True if user_agent.find("MSIE") else False 
    
@register.filter
def ie_version_float(user_agent):
    """return the version of IE as a float"""    
    #be careful: it is possible to have several MSIE in th user agent
    #assume that the current version is the max. The others are for compatibility
    try:
        versions = [float(x) for x in re.findall("MSIE (\d\.\d)", user_agent)]
        if versions: return max(versions)
    except:
        pass
    return 0

@register.filter
def ie_version(user_agent):
    return "{0:1.1}".format(ie_version_float(user_agent))
   
@register.filter
def is_ie_version(user_agent, version):
    return ie_version(user_agent)==version

@register.filter
def is_ie_minimal_version(user_agent, version):
    browser_version = ie_version_float(user_agent)
    if browser_version:
        return browser_version >= float(version)
    return False

@register.filter
def is_ie_maximal_version(user_agent, version):
    browser_version = ie_version_float(user_agent)
    if browser_version:
        return browser_version <= float(version)
    return False
