# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django import template
from django.template.loader import get_template
from django.conf import settings

register = template.Library()

class StepBannerNode(template.Node):
   def __init__(self, stepbanner):
      self.stepbanner = template.Variable(stepbanner)
      self.page = template.Variable('page')
            
   def render(self, context):
      try:
         stepbanner = self.stepbanner.resolve(context)
         if stepbanner:
            page = self.page.resolve(context)
            if stepbanner.show_all:
               steps = stepbanner.step_set.all()
            else:
               steps = stepbanner.step_set.filter(level__lte=page.step_level)
            num = stepbanner.show_num
            
            html = ''
            
            cs = page.step_level
            for step in steps:
               
               html += '<span class="step {0}">'.format('selitem' if step.level==cs else '')
               if num:
                  html += '<span class="stepnum">{0}.</span>'.format(step.level)
               if step.level<cs and step.url:
                  html += '<a href="{0}">{1}</a>'.format(step.url, step.label)
               elif step.level<cs and step.page:
                  html += '<a href="{0}">{1}</a>'.format(step.page.url, step.label)
               else:
                  html += step.label
               html += '</span>'
            
            return html
         else:
            return ''
      
      except template.VariableDoesNotExist, msg:
         return msg

@register.tag('stepbanner')
def insert_stepbanner(parser, token):
   """
   """
   try:
      x, stepbanner = token.split_contents()
   except ValueError:
      raise template.TemplateSyntaxError, "%r tag requires exactly 2 arguments" % token.contents.split()
   
   return StepBannerNode(stepbanner)

