# -*- coding: utf-8 -*-
"""
  flatcms : A simple CMS for Django
  (C)2010 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.conf.urls import patterns, url
from piston.resource import Resource
from handlers import PluginHandler
import views
from feeds import CmsPageFeed

plugin_json = Resource(handler=PluginHandler)

urlpatterns = patterns('',
    url(r'^rss/$', CmsPageFeed()),                       
    url(r'^js/imagelist.js$', views.get_list_of_images, name='imagelist.js'),
    url(r'^js/linklist.js$', views.get_list_of_links, name='flatcms_linklist.js'),
    url(r'^css/style.css$', views.get_css_style),
    url(r'^css/mce_style.css$', views.get_css_style_for_mce, name='mce_style.css'),
    url(r'^js/tinymce_config.js$', views.get_tiny_mce_config, name='tinymce_config.js'),
    (r'^debug/user-agent$', views.user_agent),
    (r'^plugin/(.+)$', plugin_json),
    url(r'^linklist/(?P<app_name>.+)$', views.get_link_list, name='linklist.js'),
    (r'^server_error_test$', views.server_error_test),
    url(r'^user/logout/$', views.logout_user, name='logout_user'),
    url(r'^lang/(?P<lang>\w+)/', views.redirect_to_translation, name='redirect_to_translation'),
#    (r'^files/(\w+\.\w+)$', views.serve_file),
)

