# -*- coding: utf-8 -*-
"""
  tortue-logo : draw with logo into your browser
  (C)2011 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django import forms
from django.utils.translation import ugettext as _
from django.forms.widgets import Textarea, TextInput
from models import Feedback
from captcha.fields import CaptchaField

class SaveFunctionForm(forms.Form):
    name = forms.CharField()
    src_code = forms.CharField(widget=forms.widgets.Textarea())
    
class LoadFunctionForm(forms.Form):
    name = forms.CharField()


class UserProfileForm(forms.Form):
    firstname = forms.CharField(label=_('Firstname'), max_length=30, required=False)
    lastname = forms.CharField(label=_('Lastname'), max_length=30, required=False)
    email = forms.EmailField(label=_('Email'))
 
class DeleteAccountForm(forms.Form):
    confirm = forms.BooleanField(label=_("Confirm the account deletion"))
 
class UpdateFunctionForm(forms.Form):
    src_code = forms.CharField(label=_("Source code"), max_length=100, widget=Textarea())
    description = forms.CharField(label=_("Description"), max_length=100, required=False, widget=Textarea())
    delete = forms.BooleanField(label=_("Delete function"), required=False)

class FeedbackForm(forms.ModelForm):
    captcha = CaptchaField()
    
    class Meta:
        model = Feedback
        exclude = ('date', 'ip')
        widgets = {
            'text': Textarea(attrs={'cols': 60, 'rows': 15}),
            'name': TextInput(attrs={'size': 79}),
            'email': TextInput(attrs={'size': 79}),
        }
    
