# -*- coding: utf-8 -*-
"""
  tortue-logo : draw with logo into your browser
  (C)2011 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.db import models
from django.contrib.auth.models import User
from django.utils.translation import ugettext_lazy as _
from django.conf import settings

class Function(models.Model):
    owner = models.ForeignKey(User, verbose_name=_('owner'))
    name = models.CharField(_('name'), max_length=200, db_index=True)
    description = models.TextField(_('description'), blank=True, default='')
    src_code = models.TextField(_('source code'))
    created_at = models.DateTimeField(_('creation date'), auto_now_add=True)
    modified_at = models.DateTimeField(_('last modification date'), auto_now=True)
    lang = models.CharField(_('language'), max_length=32, choices=settings.LANGUAGES, db_index=True)

    def __unicode__(self):
        return _(u'{0} by {1}').format(self.name, self.owner.username)
        

class Feedback(models.Model):
    """"""
    class Meta:
        ordering = ['date']
        
    name = models.CharField(_(u'Your name'), max_length=200)
    email = models.EmailField(_(u'Your email'))
    text = models.TextField(_(u'Your message'))
    date = models.DateTimeField(auto_now_add=True)
    ip = models.IPAddressField(blank=True, default='')
    
    def __unicode__(self):
        return _(u"Feedback from {0}").format(self.name)
