# -*- coding: utf-8 -*-
"""
  tortue-logo : draw with logo into your browser
  (C)2011 - Apidev - http://www.apidev.fr
  This is distributed under GNU LGPL license, see license.txt
"""

from django.conf import settings
from django.utils.translation import get_language, ugettext as _
from django.core.urlresolvers import reverse

def home_menuitem(user, menuitem):
    menuitem.label = _(u'Home')

def language_menuitem(user, menuitem):
    menuitem.label = _(u'Language')

def hello_user_menuitem(user, menuitem):
    if user.is_authenticated():
        menuitem.label = _(u'Hello {0}').format(user.first_name if user.first_name else user.username)
    else:
        menuitem.label = _(u'Account')

def login_or_logout_menuitem(user, menuitem):
    if user.is_authenticated():
        menuitem.label = _(u'Logout')
        menuitem.url = reverse('logout_user') 
    else:
        menuitem.label = _(u'Login')
        menuitem.url = reverse('django.contrib.auth.views.login') 
        
def profile_or_create_menuitem(user, menuitem):
    if user.is_authenticated():
        menuitem.label = _(u'Profile')
        menuitem.url = reverse('logoweb.views.view_profile')
    else:
        menuitem.label = _(u'Create account')
        menuitem.url = reverse('registration_register')

def french_menuitem(user, menuitem):
    menuitem.label = _(u'French')
    menuitem.url = reverse('redirect_to_translation', kwargs={'lang':'fr'})
    menuitem.force_selected = (get_language()=='fr')
    
def english_menuitem(user, menuitem):
    menuitem.label = _(u'English')
    menuitem.url = reverse('redirect_to_translation', kwargs={'lang':'en'})
    menuitem.force_selected = (get_language()=='en')
