# -*- coding: utf-8 -*-
"""
  Logoweb - site web version 2 
  Copyright 2009 - Apidev - http://www.apidev.fr
  Tous droits réservés à Apidev
"""

import os.path
PROJECT_PATH = os.path.dirname(os.path.abspath(__file__))
DEBUG = True
DB_DEBUG = DEBUG
TEMPLATE_DEBUG = DEBUG

ADMINS = (
)

MANAGERS = ADMINS

#EMAIL_HOST = ''
#EMAIL_PORT = 25
#EMAIL_HOST_PASSWORD = ''
#EMAIL_HOST_USER = ''
#EMAIL_SUBJECT_PREFIX = ''

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'HOST': '',
        'NAME': 'webapp.db',        
        'USER': '',
        'PASSWORD': ''
    }
}

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'Europe/Paris'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'en'
_=lambda x:x
LANGUAGES = (
    ('fr', _(u'Français')),
    ('en', _(u'English')),
)
FLATCMS_MULTILINGUAL = True
SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = os.path.abspath(PROJECT_PATH+'/public/media/')

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = '/media/'

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
#ADMIN_MEDIA_PREFIX = '/media/admin/'

# Absolute path to the directory static files should be collected to.
# Don't put anything in this directory yourself; store your static files
# in apps' "static/" subdirectories and in STATICFILES_DIRS.
# Example: "/var/www/example.com/static/"
STATIC_ROOT = os.path.abspath(PROJECT_PATH+'/public/static/')

# URL prefix for static files.
# Example: "http://example.com/static/", "http://static.example.com/"
STATIC_URL = '/static/'

# Additional locations of static files
STATICFILES_DIRS = (
    # Put strings here, like "/home/html/static" or "C:/www/django/static".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
)

# List of finder classes that know how to find static files in
# various locations.
STATICFILES_FINDERS = (
    'django.contrib.staticfiles.finders.FileSystemFinder',
    'django.contrib.staticfiles.finders.AppDirectoriesFinder',
#    'django.contrib.staticfiles.finders.DefaultStorageFinder',
)

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'keep-it-secret'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.Loader',
    'django.template.loaders.app_directories.Loader',
)

MIDDLEWARE_CLASSES = (
    'localeurl.middleware.LocaleURLMiddleware',
    'django.middleware.gzip.GZipMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    #'django.middleware.csrf.CsrfViewMiddleware',
    #'django.middleware.csrf.CsrfResponseMiddleware',
    'django.middleware.doc.XViewMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'pagination.middleware.PaginationMiddleware',
    'flatcms.middleware.FlatcmsFallbackMiddleware',
)

TEMPLATE_CONTEXT_PROCESSORS = (
    "django.contrib.auth.context_processors.auth",
    "django.core.context_processors.i18n",
    "django.core.context_processors.debug",
    "django.core.context_processors.request",
    "django.core.context_processors.media",
    "django.core.context_processors.static",
    "flatcms.context_processors.site_cfg",
    "django.contrib.messages.context_processors.messages",
)

ROOT_URLCONF = 'urls'

TEMPLATE_DIRS = (
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
#    PROJECT_PATH+'/logoweb/templates',
)

INSTALLED_APPS = (
    'localeurl',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'django.contrib.admindocs',
    'django.contrib.sitemaps',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'flatcms',
    'logoweb',
    'south',
    'registration',
    'pagination',
    'captcha',
)
LOCALEURL_USE_ACCEPT_LANGUAGE = True
ACCOUNT_ACTIVATION_DAYS = 7
FLATCMS_USE_AS_EXTRANET = False
FLATCMS_MODERATOR_MODE = False
LOGOUT_URL = "/"
#FLATCMS_DIV_ID_CHOICES = (
#    ('rightcol', u'Colonne de droite'),
#    ('leftcol', u'Colonne de gauche'),
#    ('footer', u'Pied de page'),
#    ('menubar', u'Barre de menu'),
#)
FLATCMS_PYCODE_CHOICES = (
    ('logoweb.pycode.hello_user_menuitem', u'Hello/Account menuitem'),
    ('logoweb.pycode.login_or_logout_menuitem', u'Login/Logout menuitem'),
    ('logoweb.pycode.profile_or_create_menuitem', u'Profile/Create menuitem'),
    ('logoweb.pycode.french_menuitem', u'French menuitem'),
    ('logoweb.pycode.english_menuitem', u'English menuitem'),
    ('logoweb.pycode.home_menuitem', u'Home menuitem'),
    ('logoweb.pycode.language_menuitem', u'Language menuitem'),
)
FLATCMS_ROBOTS_DISALLOW = ('/c/', '/fr/c/', '/en/c/')
SKIP_SOUTH_TESTS = True
SOUTH_TESTS_MIGRATE = False

import re
LOCALE_INDEPENDENT_PATHS = (
  re.compile('^/flatcms/'),
  re.compile('^/sitemap.xml$'),
  re.compile('^/robots.txt$'),
)
LOCALE_INDEPENDENT_MEDIA_URL = True

try:
    from settings_local import *
except Exception, msg:
    pass
    
