#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
  Copyright 2009 - Apidev - http://www.apidev.fr
  Tous droits réservés à Apidev
"""

from django.conf.urls import *
from django.conf import settings
from django.contrib import admin
admin.autodiscover()
from flatcms.sitemaps import AliasSitemap, CmsPageSitemap
from flatcms.views import get_robots_txt, logout_user
#from django.contrib.auth.views import login, password_change, password_change_done
import sys
from flatcms.views import redirect_to_homepage

sitemaps = {'flatcms': CmsPageSitemap, 'alias': AliasSitemap}

urlpatterns = patterns('',
    (r'^robots.txt$', get_robots_txt),
    
    url(r'^sitemap.xml$', 'django.contrib.sitemaps.views.sitemap',
        {'sitemaps': sitemaps}, name='sitemap'),
    
    (r'^flatcms/', include('flatcms.urls')),
    (r'^logoweb/', include('logoweb.urls')),

    (r'^accounts/profile/$', redirect_to_homepage),
    (r'^accounts/', include('registration.backends.default.urls')),
    
    (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    (r'^admin/', include(admin.site.urls)),
    url(r'^captcha/', include('captcha.urls')),
)

if 'rosetta' in settings.INSTALLED_APPS:
    urlpatterns += patterns('',
        url(r'^rosetta/', include('rosetta.urls')),
    )

if settings.DEBUG or ('test' in sys.argv):
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT, 'show_indexes':True}),
    )
